ONVIF::Device::Types::NetworkProtocol(3)

NAME
ONVIF::Device::Types::NetworkProtocol

DESCRIPTION
Perl data type class for the XML Schema defined complexType NetworkProtocol from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Name

•   Enabled

•   Port

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::NetworkProtocol
   Name => $some_value, # NetworkProtocolType
   Enabled =>  $some_value, # boolean
   Port =>  $some_value, # int
   Extension =>  { # ONVIF::Device::Types::NetworkProtocolExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL